package cn.ibizlab.businesscentral.core.odoo_stock.client;

import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.util.HashMap;
import java.util.Collection;
import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;
import org.springframework.web.bind.annotation.*;
import cn.ibizlab.businesscentral.core.odoo_stock.domain.Stock_package_level;
import cn.ibizlab.businesscentral.core.odoo_stock.filter.Stock_package_levelSearchContext;
import org.springframework.stereotype.Component;

/**
 * 实体[stock_package_level] 服务对象接口
 */
@Component
public class stock_package_levelFallback implements stock_package_levelFeignClient{


    public Stock_package_level create(Stock_package_level stock_package_level){
            return null;
     }
    public Boolean createBatch(List<Stock_package_level> stock_package_levels){
            return false;
     }

    public Page<Stock_package_level> search(Stock_package_levelSearchContext context){
            return null;
     }


    public Stock_package_level update(Long id, Stock_package_level stock_package_level){
            return null;
     }
    public Boolean updateBatch(List<Stock_package_level> stock_package_levels){
            return false;
     }




    public Boolean remove(Long id){
            return false;
     }
    public Boolean removeBatch(Collection<Long> idList){
            return false;
     }

    public Stock_package_level get(Long id){
            return null;
     }


    public Page<Stock_package_level> select(){
            return null;
     }

}
